/**
 * Carousel
 */
.carousel .flickity-viewport {
  transition: height var(--ease-base);
}

.carousel {
	position: relative;
	display: flow-root;
	width: 100%;
}

.corousel__inner {
	position: relative;
}

.carousel__item {
	counter-increment: carousel-cell;
}

.carousel-spaced .carousel__main {
	margin-left: calc(-1 * var(--column-gap));
}

.carousel-spaced .carousel__item {
	padding-left: var(--column-gap);
}

@media screen and (max-width: 768px) {
	.carousel-spaced .carousel__item {
		width: 85%;
	}
}

.carousel__figure,	
.carousel__image {
	display: flow-root;
}

.carousel__button {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	border-radius: 100%;
}

.carousel__button-prev {
	left: 5px;
}

.carousel__button-next {
	right: 5px;
}

.carousel__nav-top {
	position: absolute;
	top: -25px;
	right: 0;
	display: grid;
	grid-auto-flow: column;
	align-items: end;
}

.carousel__nav-top .carousel__button {
	position: relative;
	top: auto;
	left: auto;
	right: auto;
	width: 60px;
	height: 60px;
	margin-left: 5px;
	transform: translateY(-100%);
}

.carousel__nav-big .carousel__button {
	width: 70px;
	height: 70px;
	border: 2px solid var(--color-link);
}

.carousel__nav-big .carousel__button:focus,
.carousel__nav-big .carousel__button:hover {
	color: var(--color-white);
	border-color: transparent;
	background-color: var(--color-link);
}

@media screen and (max-width: 980px) {
	.carousel__nav-big .carousel__button {
		width: 60px;
		height: 60px;
	}
}

/* dots */
.carousel[data-dots="true"] .carousel__main {
	margin-bottom: 60px;
}

.carousel[data-dots="false"] .flickity-page-dots {
	display: none;
}

.carousel .flickity-page-dots {
	position: absolute;
	bottom: -60px;
	left: 50%;
	display: grid;
	grid-auto-flow: column;
	align-items: end;
	padding: 0;
	margin: 0;
	transform: translateX(-50%);
}

.carousel .flickity-page-dot {
	position: relative;
	display: grid;
	justify-items: center;
	align-items: start;
	width: 40px;
	height: 40px;
	padding: 0;
	margin: 0 2px 0;
	background: transparent;
	border-radius: 0;
	opacity: 1;
	cursor: pointer;
	color: transparent;
}

.carousel .flickity-page-dot:focus,
.carousel .flickity-page-dot:hover {
	box-shadow: none;
	background: transparent;
}

.carousel .flickity-page-dot.is-selected {
	background: transparent;	
}

.carousel .flickity-page-dot::before,
.carousel .flickity-page-dot::after {
	content: "";
	position: absolute;
	left: 0;
	top: 50%;
	vertical-align: middle;
	width: 0%;
	height: 1px;
	border-radius: 0;
	background-color: var(--color-light);
	transition: all var(--ease-base);
}

.carousel .flickity-page-dot::after {
	width: 100%;
}

.carousel .flickity-page-dot:hover::after {
	background-color: var(--color-white-70);	
}

.carousel .flickity-page-dot.is-selected::before {
	width: 100%;
	background-color: var(--color-link);
}

@media screen and (max-width: 767px) {
	.carousel .flickity-page-dot {
		width: 35px;
	}
}